package com.cool.bang.modules.api.domain;

import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 从业机构表 Entity
 *
 * @author GuoPeiZhi
 * @since 2020-03-19
 */
public class CorpVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 机构类型 1:房地产经纪机构  2:房地产评估机构 3:房地产开发企业
     */
    private Integer jglx;

    /**
     * 机构执业编号
      */
    private String code;

     /**
     * 父类机构
      */
    private Integer fljg;

    /**
     * 父类机构名称
     */
    private String fljgmc;

    /**
     * 社会统一信用代码
      */
    private String shtyxydm;


    /**
     * 机构名称
      */
    private String jgmc;

    /**
     * 注册资金
      */
    private String zczj;

    /**
     * 机构所属区域
     * 1张店区 2博山区 3淄川区 4周村区 5临淄区 6桓台县 7高青县 8沂源县 9高新区 10经开区 11文昌湖区
      */
    private Integer jgssqy;

    /**
     * 成立时间
      */
    private String clsj;

    /**
     * 经营范围
      */
    private String jjfw;

    /**
     * 法人代表
      */
    private String jgfr;

    /**
     * 法人电话
      */
    private String frdh;

    /**
     * 法人身份证
      */
    private String frsfz;

    /**
     * 机构营业执照
      */
    private String jgyyzz;

    /**
     * 法人身份证正面
      */
    private String frsfzz;

    /**
     * 法人身份证反面
      */
    private String frsfzf;

    /**
     * 会员类型 0: 无 1: 会员 2:理事
      */
    private Integer hylx;

    /**
     * 入会时间
      */
    private String rhsj;

    /**
     * 会员证号
      */
    private String hyzh;

    /**
     * 联系人
      */
    private String lxr;

    /**
     * 咨询电话
      */
    private String lxdh;

    /**
     * 公司地址
      */
    private String gsdz;

    /**
     * 电子邮箱
      */
    private String dzyx;

    /**
     * 信息备案状态 -2:失效 -1：未备案 0: 等待审核 1:审核通过 2:已驳回
      */
    private Integer xxbazt;

    /**
     * 信息备案备注
      */
    private String xxbabz;

    /**
     * 信息备案时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date xxbasj;

    /**
     * 信息备案到期时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date xxbadqsj;

    /**
     * 信息备案编号
     */
    private String xxbabh;

    /**
     * 审核人
      */
    private String checker;

    /**
     * 执业备案状态  -1: 已失效  0:未备案  1:已备案 2：待审核 3:已驳回
      */
    private Integer zybazt;

    /**
     * 执业备案时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zybasj;

    /**
     * 执业备案开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zybakssj;

    /**
     * 执业备案到期时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date zybadqsj;

    /**
     * 执业备案备注
     */
    private String zybabz;

    /**
     * 经度
     */
    private String jd;

    /**
     * 纬度
     */
    private String wd;

    /**
     * 诚信等级
     */
    private String cxdj;

    /**
     * 诚信分数
     */
    private Integer cxfs;


    public Integer getJglx() {
        return jglx;
    }

    public void setJglx(Integer jglx) {
        this.jglx = jglx;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getFljg() {
        return fljg;
    }

    public void setFljg(Integer fljg) {
        this.fljg = fljg;
    }

    public String getFljgmc() {
        return fljgmc;
    }

    public void setFljgmc(String fljgmc) {
        this.fljgmc = fljgmc;
    }

    public String getShtyxydm() {
        return shtyxydm;
    }

    public void setShtyxydm(String shtyxydm) {
        this.shtyxydm = shtyxydm;
    }

    public String getJgmc() {
        return jgmc;
    }

    public void setJgmc(String jgmc) {
        this.jgmc = jgmc;
    }

    public String getZczj() {
        return zczj;
    }

    public void setZczj(String zczj) {
        this.zczj = zczj;
    }

    public Integer getJgssqy() {
        return jgssqy;
    }

    public void setJgssqy(Integer jgssqy) {
        this.jgssqy = jgssqy;
    }

    public String getClsj() {
        return clsj;
    }

    public void setClsj(String clsj) {
        this.clsj = clsj;
    }

    public String getJjfw() {
        return jjfw;
    }

    public void setJjfw(String jjfw) {
        this.jjfw = jjfw;
    }

    public String getJgfr() {
        return jgfr;
    }

    public void setJgfr(String jgfr) {
        this.jgfr = jgfr;
    }

    public String getFrdh() {
        return frdh;
    }

    public void setFrdh(String frdh) {
        this.frdh = frdh;
    }

    public String getFrsfz() {
        return frsfz;
    }

    public void setFrsfz(String frsfz) {
        this.frsfz = frsfz;
    }

    public String getJgyyzz() {
        return jgyyzz;
    }

    public void setJgyyzz(String jgyyzz) {
        this.jgyyzz = jgyyzz;
    }

    public String getFrsfzz() {
        return frsfzz;
    }

    public void setFrsfzz(String frsfzz) {
        this.frsfzz = frsfzz;
    }

    public String getFrsfzf() {
        return frsfzf;
    }

    public void setFrsfzf(String frsfzf) {
        this.frsfzf = frsfzf;
    }

    public Integer getHylx() {
        return hylx;
    }

    public void setHylx(Integer hylx) {
        this.hylx = hylx;
    }

    public String getRhsj() {
        return rhsj;
    }

    public void setRhsj(String rhsj) {
        this.rhsj = rhsj;
    }

    public String getHyzh() {
        return hyzh;
    }

    public void setHyzh(String hyzh) {
        this.hyzh = hyzh;
    }

    public String getLxr() {
        return lxr;
    }

    public void setLxr(String lxr) {
        this.lxr = lxr;
    }

    public String getLxdh() {
        return lxdh;
    }

    public void setLxdh(String lxdh) {
        this.lxdh = lxdh;
    }

    public String getGsdz() {
        return gsdz;
    }

    public void setGsdz(String gsdz) {
        this.gsdz = gsdz;
    }

    public String getDzyx() {
        return dzyx;
    }

    public void setDzyx(String dzyx) {
        this.dzyx = dzyx;
    }

    public Integer getXxbazt() {
        return xxbazt;
    }

    public void setXxbazt(Integer xxbazt) {
        this.xxbazt = xxbazt;
    }

    public String getXxbabz() {
        return xxbabz;
    }

    public void setXxbabz(String xxbabz) {
        this.xxbabz = xxbabz;
    }

    public Date getXxbasj() {
        return xxbasj;
    }

    public void setXxbasj(Date xxbasj) {
        this.xxbasj = xxbasj;
    }

    public Date getXxbadqsj() {
        return xxbadqsj;
    }

    public void setXxbadqsj(Date xxbadqsj) {
        this.xxbadqsj = xxbadqsj;
    }

    public String getXxbabh() {
        return xxbabh;
    }

    public void setXxbabh(String xxbabh) {
        this.xxbabh = xxbabh;
    }

    public String getChecker() {
        return checker;
    }

    public void setChecker(String checker) {
        this.checker = checker;
    }

    public Integer getZybazt() {
        return zybazt;
    }

    public void setZybazt(Integer zybazt) {
        this.zybazt = zybazt;
    }

    public Date getZybasj() {
        return zybasj;
    }

    public void setZybasj(Date zybasj) {
        this.zybasj = zybasj;
    }

    public Date getZybakssj() {
        return zybakssj;
    }

    public void setZybakssj(Date zybakssj) {
        this.zybakssj = zybakssj;
    }

    public Date getZybadqsj() {
        return zybadqsj;
    }

    public void setZybadqsj(Date zybadqsj) {
        this.zybadqsj = zybadqsj;
    }

    public String getZybabz() {
        return zybabz;
    }

    public void setZybabz(String zybabz) {
        this.zybabz = zybabz;
    }

    public String getJd() {
        return jd;
    }

    public void setJd(String jd) {
        this.jd = jd;
    }

    public String getWd() {
        return wd;
    }

    public void setWd(String wd) {
        this.wd = wd;
    }

    public String getCxdj() {
        return cxdj;
    }

    public void setCxdj(String cxdj) {
        this.cxdj = cxdj;
    }

    public Integer getCxfs() {
        return cxfs;
    }

    public void setCxfs(Integer cxfs) {
        this.cxfs = cxfs;
    }
}
